# Configuration des équipements et services
# Modifiez ce fichier pour ajouter vos machines

# =============================================================================
# Configuration de la fenêtre popup
# =============================================================================
fenetre:
  ecran: 0                          # 0 = principal, 1 = secondaire, -1 = souris
  centrer: false                     # Centrer horizontalement
  #alignement:   # center,left,right 
  #decalage_x:   # decalage par rapport a l'alignement >0 pour left et center et <0 pour right
  #decalage_y:   # decalage par rapport a la barre du haut
  x: 1500                             # Position X (si centrer: false)
  y: 0                            # Position Y depuis le haut
  largeur: 1100
  hauteur: 840
  fermer_sur_clic_exterieur: true
  toujours_au_dessus: false
  autohide: 1                        # Fermer après X secondes si souris hors fenêtre (0 = désactivé)
  section_distant:
    colonne: 4
  section_local:
    colonne: 6
  section_url:
    colonne: 5

# =============================================================================
# Apparence
# =============================================================================
apparence:
  theme: "dark"                     # "dark" ou "light"
  police_taille: 14                 # Taille de police en pixels
  icon_taille_distant: 48           # Taille icônes section Distant
  icon_taille_local: 52             # Taille icônes section Local
  icon_taille_url: 48               # Taille icônes section URL
  afficher_label_local: false       # Afficher le texte sous les icônes locales
  ping_intervalle: 360              # Intervalle entre les pings en secondes (0 = désactivé)
  border_radius: 25                 # Arrondi des coins de la fenêtre en pixels
  espacement_local: 2              # Espacement entre icônes section Local (px)
  espacement_distant: 6             # Espacement entre icônes section Distant (px)
  espacement_url: 6                 # Espacement entre icônes section URL (px)
  icon_taille_fermer: 22            # Taille icône fermer (px)
  icon_taille_parametre: 22         # Taille icône paramètre (px)
  icon_taille_theme: 30             # Largeur icône night-day (px) - hauteur auto selon ratio
  border_radius_local: 12           # Arrondi de la section locale (px)
  # Couleurs personnalisées (laisser vide pour utiliser le thème par défaut)
  couleur_fond: "#2a2a2a"                  # Fond principal (ex: "#1e1e1e")
  couleur_header: "#2a2a2a"                       # Fond du header (ex: "#2a2a2a")
  couleur_box_local: "#2a2a2a"             # Fond section LOCAL (ex: "#3d3d3d")
  couleur_box_distant: "#1e1e1e"                  # Fond boxes DISTANT (ex: "#3d3d3d")
  couleur_box_url: "#3d3d3d"                      # Fond section URL (ex: "#3d3d3d")
  couleur_item: "#1e1e1e"                         # Fond des items services (ex: "#2d2d2d")
  couleur_bordure: "#111a1a"                      # Couleur des bordures (ex: "#1a1a1a")
  couleur_hover: "#515555"                               # Couleur au survol souris (ex: "#555555")

# =============================================================================
# Section DISTANT - Machines distantes (à gauche)
# =============================================================================
distant:
  - ip: "10.0.0.24"
    nom: "PC Dashboard"
    services:
      - nom: "SSH"
        icon: "icons/ssh.png"
        url: "ssh://gilles@10.0.0.24"
      - nom: "VNC"
        icon: "icons/terminal.png"
        url: "vnc://10.0.0.24:5900"

  - ip: "10.0.1.232"
    nom: "m710q"
    services:
      - nom: "proxmox"
        icon: "icons/proxmox.png"
        url: "https://10.0.1.232:8006"
      - nom: "SSH"
        icon: "icons/ssh.png"
        url: "ssh://root@10.0.1.232"

  - ip: "10.0.0.101"
    nom: "EliteDesk"
    services:
      - nom: "SSH"
        icon: "icons/ssh.png"
        url: "ssh://root@10.0.0.101"
      - nom: "Proxmox"
        icon: "icons/proxmox.png"
        url: "https://10.0.0.101:8006/"

  - ip: "10.0.0.5"
    nom: "VM 5"
    services:
      - nom: "SSH"
        icon: "icons/ssh.png"
        url: "ssh://gilles@10.0.0.5"
        password: "gilles"  #copy password to clipboard
      - nom: "Gitea"
        icon: "icons/gitea.png"
        url: "https://gitea.maison43.duckdns.org/"
      - nom: "Arcane"
        icon: "icons/arcane.png"
        url: "http://10.0.0.5:3552/"
      - nom: "Hortus_fox"
        icon: "icons/hortusfox.png"
        url: "http://10.0.0.5:8081/"
      - nom: "Termix"
        icon: "icons/termix.png"
        url: "http://10.0.0.5:6080/"
      - nom: "upsnap" 
        icon: "icons/upsnap.png"
        url: "http://10.0.0.5:8090/"
      - nom: "samba"   # automount samba in nautilus and open in nautilus
        icon: "icons/smb.png"
        url: "smb://10.0.0.5/"
        user: gilles #user for samba
        password: gilles #password for samba



  - ip: "137.74.45.99"
    nom: "Vps OVH"
    services:
      - nom: "SSH"
        icon: "icons/ssh.png"
        url: "ssh://debian@137.74.45.99"
        password: "Misstibet5*"  #copy password to clipboard
      - nom: "VNC"
        icon: "icons/terminal.png"
        url: "vnc://137.74.45.99:5901"

  - ip: "10.0.0.2"
    nom: "Home Assistant"
    services:
      - nom: "Home Assistant"
        icon: "icons/home-assistant.png"
        url: "http://10.0.0.2:8123"

  - ip: "10.0.0.205"
    nom: "Proliant"
    services:
      - nom: "Proxmox"
        icon: "icons/proxmox.png"
        url: "https://10.0.0.205:8006/"

  - ip: "10.0.0.15"
    nom: "Adguard"
    services:
      - nom: "Adguard"
        icon: "icons/adguard-home.png"
        url: "http://10.0.0.15/"

  - ip: "10.0.0.135"
    nom: "Paperless"
    services:
      - nom: "Paperless"
        icon: "icons/paperless.png"
        url: "http://10.0.0.135:8777/"
      - nom: "scanServ.js"
        icon: "icons/scanservjs.png"
        url: "http://10.0.0.135:8080/"
      - nom: "SSH"
        icon: "icons/ssh.png"
        url: "ssh://gilles@10.0.0.135"
        password: "gilles"  #copy password to clipboard

  - ip: "10.0.0.116"
    nom: "VM 116"
    services:
      - nom: "Arcane"
        icon: "icons/arcane.png"
        url: "http://10.0.0.116:3552/"
      - nom: "Heimdall"
        icon: "icons/heimdall.png"
        url: "http://10.0.0.135:8002/"
      - nom: "SSH"
        icon: "icons/ssh.png"
        url: "ssh://gilles@10.0.0.116"
        password: "gilles"  #copy password to clipboard

# =============================================================================
# Section LOCAL - Applications locales (en bas)
# =============================================================================
local:
  - nom: "Fichiers"
    icon: "icons/nautilus.png"
    command: "nautilus"
  - nom: "Terminal"
    icon: "icons/terminal.png"
    command: "gnome-terminal"
  - nom: "Firefox"
    icon: "icons/firefox.png"
    command: "firefox"
  - nom: "Chrome"
    icon: "icons/chrome.png"
    command: "google-chrome"
  - nom: "VS Code"
    icon: "icons/vscode.png"
    command: "code"
  - nom: "Calculatrice"
    icon: "icons/calculatrice.png"
    command: "gnome-calculator"
  - nom: "Gnumeric"
    icon: "icons/gnumeric.png"
    command: "gnumeric"
  - nom: "Moniteur system"
    icon: "icons/gparameter.png"
    command: "gnome-control-center"
  - nom: "Parametres"
    icon: "icons/monitor.png"
    command: "gnome-system-monitor"

# =============================================================================
# Section URL - Favoris web (à droite)
# =============================================================================
url:
  - nom: "Google"
    icon: "icons/google.png"
    url: "https://www.google.com/"
  - nom: "Gmail"
    icon: "icons/gmail.png"
    url: "https://mail.google.com"
  - nom: "YouTube"
    icon: "icons/youtube.png"
    url: "https://youtube.com"
  - nom: "Dokuwiki"
    icon: "icons/dokuwiki.png"
    url: "http://10.0.0.5:8880/"
  - nom: "Heimdall"
    icon: "icons/heimdall.png"
    url: "http://10.0.0.5:8002/"
  - nom: "Claude"
    icon: "icons/claude.png"
    url: "https://claude.ai/"
  - nom: "Chatgpt"
    icon: "icons/chatgpt.png"
    url: "https://chatgpt.com/"
  - nom: "Vaultwarden"
    icon: "icons/vaultwarden.png"
    url: "https://vw.maison43.duckdns.org"
  - nom: "Digiposte"
    icon: "icons/digiposte.png"
    url: "https://moncompte.laposte.fr/"
  - nom: "Google Actu"
    icon: "icons/googlenews.png"
    url: "https://news.google.com/"
  - nom: "Z2M ETH"
    icon: "icons/zigbee2mqtt.png"
    url: "http://10.0.0.105:8080" 
  - nom: "Z2M"
    icon: "icons/zigbee2mqtt2.png"
    url: "http://10.0.0.106:8080"    
  - nom: "nodered"
    icon: "icons/nodered.png"
    url: "http://10.0.0.9:1880/"   
  - nom: "memos"
    icon: "icons/memos.png"
    url: "http://10.0.0.5:5230/" 
  - nom: "gemini"
    icon: "icons/gemini.png"
    url: "https://gemini.google.com/app"
  - nom: "Mistral"
    icon: "icons/mistral.png"
    url: "https://chat.mistral.ai/chat"
  - nom: "Grok"
    icon: "icons/grok.png"
    url: "https://chat.mistral.ai/chat"
  - nom: "Nginx Proxy Manager"
    icon: "icons/nginx-proxy-manager.png"
    url: "http://10.0.0.202:81/"
  - nom: "selfhosted"
    icon: "icons/selfh-st.png"
    url: "https://selfh.st/"
  - nom: "korben"
    icon: "icons/korben.jpeg"
    url: "https://korben.info/"
  - nom: "amazon"
    icon: "icons/amazon.png"
    url: "https://www.amazon.fr/"
  - nom: "prime"
    icon: "icons/amazon-prime-video.png"
    url: "https://www.primevideo.com/"
  - nom: "Orange TV"
    icon: "icons/orange_tv.png"
    url: "https://tv.orange.fr/en-direct/programmes-en-cours"  
  - nom: "La Commère 43"
    icon: "icons/comere43.jpeg"
    url: "https://www.lacommere43.fr/fait-divers.html"  
  - nom: "Aliexpress"
    icon: "icons/aliexpress.png"
    url: "https://fr.aliexpress.com" 
  - nom: "Google Drive"
    icon: "icons/gdrive.png"
    url: "https://drive.google.com/"
  - nom: "Camera detect"
    icon: "icons/camera.png"
    url: "http://10.0.0.13:8081/"
